# QScrollBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractSlider.

### Constructor

- void QScrollBar(QWidget parent)
- void QScrollBar(Orientation arg__1, QWidget parent)

### Constructor Properties

- prototype: The QScrollBar prototype object

### Prototype Object Properties

The QScrollBar prototype object inherits properties from the QAbstractSlider prototype object and also has the following properties.

- QSize sizeHint()

### Instance Properties

QScrollBar objects have no special properties beyond those inherited from the QScrollBar prototype object.